Package weka.gui.beans

# Class TrainTestSplitMakerBeanInfo

java.lang.Object
java.beans.SimpleBeanInfo
weka.gui.beans.AbstractTrainAndTestSetProducerBeanInfo
weka.gui.beans.TrainTestSplitMakerBeanInfo

All Implemented Interfaces:
  `BeanInfo`

public class TrainTestSplitMakerBeanInfo extends AbstractTrainAndTestSetProducerBeanInfo
Bean info class for the train test split maker bean

Since:
  1.0
Version:
  $Revision: 1.2 $
Author:
  Mark Hall
See Also:
  - `AbstractTrainAndTestSetProducerBeanInfo`

## Field Summary

### Fields inherited from interface java.beans.BeanInfo

`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

## Constructor Summary

Constructors
Constructor
Description
`TrainTestSplitMakerBeanInfo()`

## Method Summary

Modifier and Type
Method
Description
`BeanDescriptor`
`getBeanDescriptor()`
Get the bean descriptor for this bean
`PropertyDescriptor[]`
`getPropertyDescriptors()`
Get the property descriptors for this bean

### Methods inherited from class weka.gui.beans.AbstractTrainAndTestSetProducerBeanInfo

`getEventSetDescriptors`

### Methods inherited from class java.beans.SimpleBeanInfo

`getAdditionalBeanInfo, getDefaultEventIndex, getDefaultPropertyIndex, getIcon, getMethodDescriptors, loadImage`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TrainTestSplitMakerBeanInfo

public TrainTestSplitMakerBeanInfo()

## Method Details

### getPropertyDescriptors

public PropertyDescriptor[] getPropertyDescriptors()
Get the property descriptors for this bean

Specified by:
  `getPropertyDescriptors` in interface `BeanInfo`
Overrides:
  `getPropertyDescriptors` in class `SimpleBeanInfo`
Returns:
  a `PropertyDescriptor[]` value

### getBeanDescriptor

public BeanDescriptor getBeanDescriptor()
Get the bean descriptor for this bean

Specified by:
  `getBeanDescriptor` in interface `BeanInfo`
Overrides:
  `getBeanDescriptor` in class `SimpleBeanInfo`
Returns:
  a `BeanDescriptor` value